Debian Bug report logs - #501420
kfreebsd-7: FTBFS in lenny: Nonexistent build-dependency: libdb4.4-dev

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 7 Oct 2008 09:00:02 UTC

Severity: serious

Found in version 7.0-5

Fixed in version kfreebsd-7/7.0-7

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#501420; Package kfreebsd-7. (Tue, 07 Oct 2008 09:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 07 Oct 2008 09:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: kfreebsd-7: FTBFS in lenny: Nonexistent build-dependency: libdb4.4-dev
Date: Tue, 7 Oct 2008 10:49:43 +0200
Package: kfreebsd-7
Version: 7.0-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20081006 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in a lenny chroot, your package failed
to build on i386.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 4.1.0), bzip2, quilt, freebsd6-buildutils (>= 6.2) [kfreebsd-i386 kfreebsd-amd64] | freebsd7-buildutils [kfreebsd-i386 kfreebsd-amd64], libdb4.4-dev | libdb-dev, flex-old | flex, libbsd-dev [kfreebsd-i386 kfreebsd-amd64], gcc-4.3 [kfreebsd-i386 kfreebsd-amd64], sharutils
> Checking for already installed source dependencies...
> debhelper: missing
> Using default version 7.0.15
> bzip2: already installed (1.0.5-1)
> quilt: missing
> libdb4.4-dev: missing
> libdb-dev: missing
> flex-old: missing
> flex: missing
> sharutils: missing
> Checking for source dependency conflicts...
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Package libdb4.4-dev is not available, but is referred to by another package.
> This may mean that the package is missing, has been obsoleted, or
> is only available from another source
> E: Package libdb4.4-dev has no installation candidate

The full build log is available from:
   http://newpeople.debian.org/~lucas/logs/2008/10/06

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in lenny before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug no longer marked as found in version 7.1~cvs20081006-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 07 Oct 2008 12:15:02 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 7.1~cvs20080806-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 07 Oct 2008 12:15:03 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 7.1~cvs20080904-1. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 07 Oct 2008 12:15:04 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 07 Oct 2008 13:09:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 07 Oct 2008 13:09:07 GMT) Full text and rfc822 format available.

Message #16 received at 501420-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 501420-close@bugs.debian.org
Subject: Bug#501420: fixed in kfreebsd-7 7.0-7
Date: Tue, 07 Oct 2008 13:02:06 +0000
Source: kfreebsd-7
Source-Version: 7.0-7

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.0-7.diff.gz
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.0-7.diff.gz
kfreebsd-7_7.0-7.dsc
  to pool/main/k/kfreebsd-7/kfreebsd-7_7.0-7.dsc
kfreebsd-source-7.0_7.0-7_all.deb
  to pool/main/k/kfreebsd-7/kfreebsd-source-7.0_7.0-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501420@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Oct 2008 14:23:26 +0200
Source: kfreebsd-7
Binary: kfreebsd-source-7.0 kfreebsd-headers-7.0-1 kfreebsd-image-7.0-1-amd64-generic ndiswrapper-modules-7.0-1-amd64-generic kfreebsd-image-7-amd64-generic kfreebsd-headers-7.0-1-amd64-generic kfreebsd-headers-7-amd64-generic kfreebsd-image-7.0-1-amd64-k8 ndiswrapper-modules-7.0-1-amd64-k8 kfreebsd-image-7-amd64-k8 kfreebsd-headers-7.0-1-amd64-k8 kfreebsd-headers-7-amd64-k8 kfreebsd-image-7.0-1-amd64-k8-smp ndiswrapper-modules-7.0-1-amd64-k8-smp kfreebsd-image-7-amd64-k8-smp kfreebsd-headers-7.0-1-amd64-k8-smp kfreebsd-headers-7-amd64-k8-smp kfreebsd-image-7.0-1-em64t-p4 ndiswrapper-modules-7.0-1-em64t-p4 kfreebsd-image-7-em64t-p4 kfreebsd-headers-7.0-1-em64t-p4 kfreebsd-headers-7-em64t-p4 kfreebsd-image-7.0-1-em64t-p4-smp ndiswrapper-modules-7.0-1-em64t-p4-smp kfreebsd-image-7-em64t-p4-smp kfreebsd-headers-7.0-1-em64t-p4-smp kfreebsd-headers-7-em64t-p4-smp kfreebsd-image-7.0-1-486 ndiswrapper-modules-7.0-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.0-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.0-1-586 ndiswrapper-modules-7.0-1-586 kfreebsd-image-7-586 kfreebsd-headers-7.0-1-586 kfreebsd-headers-7-586 kfreebsd-image-7.0-1-586-smp ndiswrapper-modules-7.0-1-586-smp kfreebsd-image-7-586-smp kfreebsd-headers-7.0-1-586-smp kfreebsd-headers-7-586-smp kfreebsd-image-7.0-1-686 ndiswrapper-modules-7.0-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.0-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.0-1-686-smp ndiswrapper-modules-7.0-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.0-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all
Version: 7.0-7
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-586 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-586-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-generic - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-k8 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64-k8-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-em64t-p4 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-em64t-p4-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.0-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.0-1-486 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-586 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-586-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-686 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-686-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-generic - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-k8 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-amd64-k8-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-em64t-p4 - header files for kernel of FreeBSD 7.0
 kfreebsd-headers-7.0-1-em64t-p4-smp - header files for kernel of FreeBSD 7.0
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586 - kernel of FreeBSD 7 image
 kfreebsd-image-7-586-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-generic - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-k8 - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64-k8-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-em64t-p4 - kernel of FreeBSD 7 image
 kfreebsd-image-7-em64t-p4-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7.0-1-486 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-586 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-586-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-686 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-686-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-generic - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-k8 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-amd64-k8-smp - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-em64t-p4 - kernel of FreeBSD 7.0 image
 kfreebsd-image-7.0-1-em64t-p4-smp - kernel of FreeBSD 7.0 image
 kfreebsd-source-7.0 - source code for kernel of FreeBSD 7.0 with Debian patches
 ndiswrapper-modules-7.0-1-486 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-586 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-586-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-686 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-686-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-generic - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-k8 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-amd64-k8-smp - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-em64t-p4 - Ndiswrapper kFreeBSD module
 ndiswrapper-modules-7.0-1-em64t-p4-smp - Ndiswrapper kFreeBSD module
Closes: 474762 501420
Changes: 
 kfreebsd-7 (7.0-7) unstable; urgency=low
 .
   [ Petr Salinger ]
   * libdb-dev is now a real package, build-depend only on it.
     Closes: #501420.
   * use and prefer freebsd-buildutils over freebsd7-buildutils.
     Closes: #474762.
   * add Vcs-* fields into debian/control.
 .
   [ Aurelien Jarno ]
   * Bumped Standards-Version to 3.8.0 (no changes).
Checksums-Sha1: 
 65a070277536c095af87d5c2c143478684990c05 3015 kfreebsd-7_7.0-7.dsc
 c02bd024b90841f25c82b3e1aaab843fc0f66be1 33461 kfreebsd-7_7.0-7.diff.gz
 e50903ddb9aaee19ea2ad71d6829914c68701e21 17639592 kfreebsd-source-7.0_7.0-7_all.deb
Checksums-Sha256: 
 d1325524e55ec279706f09cf93808ce4ec79dcedd323cf1af198f43af688f476 3015 kfreebsd-7_7.0-7.dsc
 b7a71cedf1e56a272e5f42e2c41ed24ba9d070ed9cf1a667973bf39a0bc58c99 33461 kfreebsd-7_7.0-7.diff.gz
 366f0a9f5b3a71c606ab655be789ff12087c963a2735cb4fc143a9e54e62f321 17639592 kfreebsd-source-7.0_7.0-7_all.deb
Files: 
 fa1a8a1f84da566a89b046514d7b39a7 3015 devel optional kfreebsd-7_7.0-7.dsc
 69d45e1eac9085af6b449406f7d7cc51 33461 devel optional kfreebsd-7_7.0-7.diff.gz
 812eef38d3101999fa80baed868f500e 17639592 devel optional kfreebsd-source-7.0_7.0-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI61sYw3ao2vG823MRAmnfAJ97zogVQEknZcnq+LzVB5Tq28DrmwCfS4qu
0DB7EMzNtX7vw54iXetEkYc=
=A+i4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Nov 2008 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:19:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.